%define beta 
%define relc 
Distribution:	CCux
Packager:  	Karsten Brockmann <arcam@ccux-linux.de>

Summary: 	Bittorrent Client
Name:      	qbittorrent
Version:   	2.9.0
Release:   	1
License: 	GNU/GPL
URL: 		http://qbittorrent.sourceforge.net/
Group:    	Networking/File Transfer
Source0: 	%{name}-%{version}%{?beta:beta%{beta}}%{?relc:rc%{relc}}.tar.gz
# hardcode the python version to 2.6
Patch0:		qbittorrent-2.5.1-python26-hardcodeversion.patch
BuildRoot: 	%{_tmppath}/%{name}-buildroot
BuildArch:	i686
# manually added dependencies
BuildRequires:  libICE-devel
BuildRequires:  libSM-devel
BuildRequires:  libX11-devel
BuildRequires:  libXcursor-devel
BuildRequires:  libXext-devel
BuildRequires:  libXfixes-devel
BuildRequires:  libXi-devel
BuildRequires:  libXinerama-devel
BuildRequires:  libXrandr-devel
BuildRequires:  libXrender-devel
BuildRequires:  fontconfig-devel
BuildRequires:  freetype-devel
BuildRequires:  glib-devel
BuildRequires:  libpng-devel
BuildRequires:  zlib-devel
BuildRequires:  commoncpp2-devel
BuildRequires:	asio-devel
BuildRequires:  GeoIP-devel
BuildRequires:	which

BuildRequires: libnotify-devel
BuildRequires: glib-devel
BuildRequires: gtk2+-devel
BuildRequires: dbus-devel
BuildRequires: dbus-glib-devel
BuildRequires: pkg-config
BuildRequires: atk-devel
BuildRequires: cairo-devel
BuildRequires: pango-devel
BuildRequires: pangomm-devel
BuildRequires: gobject-introspection-devel
#BuildRequires: gir-repository-devel
BuildRequires: libffi-devel
BuildRequires: desktop-file-utils

#Automatically resolved build dependencies
BuildRequires: boost-devel
BuildRequires: curl-devel
BuildRequires: glibc-devel
BuildRequires: libstdc++-devel
BuildRequires: libtorrent-devel >= 0.15.8
BuildRequires: openssl-devel
BuildRequires: qt4-devel
BuildRequires: zziplib-devel

%description
qBittorrent can now be considered as a good alternative to other bittorrent clients. It provides a lot of features such as:
* A polished Graphical User Interface written with Qt4.2 toolkit
* Multiple simultaneous downloads / uploads
* An integrated search engine
* DHT (trackerless) support
* uTorrent Peer eXchange support (PeX)
* Directory scanning with automated download of torrents inside
* Good internationalization (~25 languages supported)
* Selective download of files in a torrent
* Media File previewing while downloading
* Torrent trackers edition and prioritizing
* Seeders / Leechers displayed in download list
* Torrent download in correct order
* System tray integration
* Tracker authentication support
* Unicode support
* Torrent downloading directly from their url
* Connection though a proxy
* IP Filtering similar to the one in eMule

%post
ldconfig

%postun
ldconfig

%prep
%setup -q -n %{name}-%{version}%{?beta:beta%{beta}}%{?relc:rc%{relc}}
%patch0 -p1



%build
./configure --prefix=%_prefix
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
# creating directory structur
mkdir -p $RPM_BUILD_ROOT%_bindir
mkdir -p $RPM_BUILD_ROOT%_mandir/man1
mkdir -p $RPM_BUILD_ROOT%_applications
mkdir -p $RPM_BUILD_ROOT%_datadir/icons/hicolor
# installing binary
install -m 755 -p src/qbittorrent $RPM_BUILD_ROOT%_bindir/qbittorrent
strip $RPM_BUILD_ROOT%_bindir/qbittorrent
# installing other files
install -m 644 -p doc/qbittorrent.1 $RPM_BUILD_ROOT%_mandir/man1/
install -m 644 -p src/Icons/qBittorrent.desktop $RPM_BUILD_ROOT%_applications/
cp -f -r src/menuicons/128x128 $RPM_BUILD_ROOT%_datadir/icons/hicolor/
cp -f -r src/menuicons/16x16 $RPM_BUILD_ROOT%_datadir/icons/hicolor/
cp -f -r src/menuicons/192x192 $RPM_BUILD_ROOT%_datadir/icons/hicolor/
cp -f -r src/menuicons/22x22 $RPM_BUILD_ROOT%_datadir/icons/hicolor/
cp -f -r src/menuicons/24x24 $RPM_BUILD_ROOT%_datadir/icons/hicolor/
cp -f -r src/menuicons/32x32 $RPM_BUILD_ROOT%_datadir/icons/hicolor/
cp -f -r src/menuicons/36x36 $RPM_BUILD_ROOT%_datadir/icons/hicolor/
cp -f -r src/menuicons/48x48 $RPM_BUILD_ROOT%_datadir/icons/hicolor/
cp -f -r src/menuicons/64x64 $RPM_BUILD_ROOT%_datadir/icons/hicolor/
cp -f -r src/menuicons/72x72 $RPM_BUILD_ROOT%_datadir/icons/hicolor/
cp -f -r src/menuicons/96x96 $RPM_BUILD_ROOT%_datadir/icons/hicolor/

%files
%defattr(-,root,root)
%_bindir/qbittorrent
%_mandir/man1/qbittorrent.1.gz
%_applications/qBittorrent.desktop
%_datadir/icons/hicolor/*/apps/qbittorrent.png

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Thu Oct 19 2011 Karsten Brockmann <arcam@ccux-linux.de> 2.9.0-1
- Version update
* Thu Sep 29 2011 Karsten Brockmann <arcam@ccux-linux.de> 2.8.5-1
- Version update
* Fri Aug 19 2011 Karsten Brockmann <arcam@ccux-linux.de> 2.8.4-1
- Version update
* Thu Jun 23 2011 Karsten Brockmann <arcam@ccux-linux.de> 2.8.2-1
- Version update
* Sat Jun 11 2011 Karsten Brockmann <arcam@ccux-linux.de> 2.8.1-1
- Version update
* Sun May 01 2011 Karsten Brockmann <arcam@ccux-linux.de> 2.7.3-1
- Version update
* Wed Mar 23 2011 Karsten Brockmann <arcam@ccux-linux.de> 2.7.0-1
- Version update
* Sun Mar 13 2011 Karsten Brockmann <arcam@ccux-linux.de> 2.6.9-1
- Version update
* Fri Feb 11 2011 Karsten Brockmann <arcam@ccux-linux.de> 2.6.6-1
- Version update
* Mon Jan 17 2011 Karsten Brockmann <arcam@ccux-linux.de> 2.6.3-1
- Version update
* Sat Jan 08 2011 Karsten Brockmann <arcam@ccux-linux.de> 2.5.5-1
- Version update
* Sun Jan 02 2011 Karsten Brockmann <arcam@ccux-linux.de> 2.5.3-1
- Version update
* Sun Dec 19 2010 Karsten Brockmann <arcam@ccux-linux.de> 2.5.2-1
- Version update
* Thu Dec 09 2010 Karsten Brockmann <arcam@ccux-linux.de> 2.5.1-1
- Version update
* Sat Dec 04 2010 Karsten Brockmann <arcam@ccux-linux.de> 2.4.11-1
- Version update
* Sun Oct 24 2010 Karsten Brockmann <arcam@ccux-linux.de> 2.4.8-1
- Version update
* Sun Sep 26 2010 Karsten Brockmann <arcam@ccux-linux.de> 2.4.1-1
- Version update
* Sat Aug 28 2010 Karsten Brockmann <arcam@ccux-linux.de> 2.4.0-1
- Version update
* Sat Aug 21 2010 Karsten Brockmann <arcam@ccux-linux.de> 2.3.1-1
- Version update
* Tue Jul 27 2010 Karsten Brockmann <arcam@ccux-linux.de> 2.3.0-1
- Version update
* Thu Jul 22 2010 Karsten Brockmann <arcam@ccux-linux.de> 2.2.11-1
- Version update
* Sun Jun 27 2010 Karsten Brockmann <arcam@ccux-linux.de> 2.2.10-1
- Version update
* Wed Jun 16 2010 Karsten Brockmann <arcam@ccux-linux.de> 2.2.9-1
- Version update
* Mon May 31 2010 Karsten Brockmann <arcam@ccux-linux.de> 2.2.8-1
- Version update
* Mon May 17 2010 Karsten Brockmann <arcam@ccux-linux.de> 2.2.7-1
- Version update
* Tue Apr 20 2010 Karsten Brockmann <arcam@ccux-linux.de> 2.2.6-1
- Version update
* Sat Mar 27 2010 Karsten Brockmann <arcam@ccux-linux.de> 2.2.2-1
- Version update
* Wed Mar 10 2010 Karsten Brockmann <arcam@ccux-linux.de> 2.1.6-1
- Version update
* Wed Feb 17 2010 Karsten Brockmann <arcam@ccux-linux.de> 2.1.5-1
- Version update
* Sun Feb 07 2010 Karsten Brockmann <arcam@ccux-linux.de> 2.1.3-1
- Version update
* Sat Jan 30 2010 Karsten Brockmann <arcam@ccux-linux.de> 2.1.2-1
- Version update
* Wed Jan 20 2010 Karsten Brockmann <arcam@ccux-linux.de> 2.1.0-1
- Version update
* Sat Jan 02 2010 Karsten Brockmann <arcam@ccux-linux.de> 2.0.5-1
- Version update
* Tue Nov 24 2009 Karsten Brockmann <arcam@ccux-linux.de> 1.5.6-1
- Version update
* Sat Nov 07 2009 Karsten Brockmann <arcam@ccux-linux.de> 1.5.5-1
- Version update
* Thu Oct 01 2009 Karsten Brockmann <arcam@ccux-linux.de> 1.5.3-1
- Version update
* Fri Sep 25 2009 Karsten Brockmann <arcam@ccux-linux.de> 1.5.2-1
- Version update
* Mon Sep 14 2009 Karsten Brockmann <arcam@ccux-linux.de> 1.5.1-1
- Version update
* Sun Sep 06 2009 Karsten Brockmann <arcam@ccux-linux.de> 1.5.0-1
- Version update
* Sat Aug 15 2009 Karsten Brockmann <arcam@ccux-linux.de> 1.4.0-6
- final
* Tue Aug 04 2009 Karsten Brockmann <arcam@ccux-linux.de> 1.4.0-5
- rc1
* Wed Jul 22 2009 Karsten Brockmann <arcam@ccux-linux.de> 1.4.0-4
- beta3
- built against libtorrent 0.14.4
- built against boost 1.39.0
* Wed May 20 2009 Karsten Brockmann <arcam@ccux-linux.de> 1.4.0-3
- rebuilt against libtorrent 0.14.3
* Wed May 20 2009 Karsten Brockmann <arcam@ccux-linux.de> 1.4.0-2
- patch : hardcode versioned python calls for python 2.6 transition
* Mon May 18 2009 Karsten Brockmann <arcam@ccux-linux.de> 1.4.0-1
- Version update
- beta2
* Mon May 18 2009 Karsten Brockmann <arcam@ccux-linux.de> 1.3.3-1
- Version update
* Wed Feb 18 2009 Karsten Brockmann <arcam@ccux-linux.de> 1.3.1-1
- Version update
* Fri Jan 16 2009 Christian Metzen <metzench@ccux-linux.de> 1.3.0-2
- Version update to 1.3.0 final
* Sun Jan 04 2009 Christian Metzen <metzench@ccux-linux.de> 1.3.0-1
- Version update 1.3.0 rc4 / needed with libtorrent 0.14.1
* Sun Nov 09 2008 Karsten Brockmann <arcam@ccux-linux.de> 1.2.1-1
- version update
* Wed Oct 29 2008 Karsten Brockmann <arcam@ccux-linux.de> 1.2.0-7
- 1.2.0 final
* Sat Oct 11 2008 Karsten Brockmann <arcam@ccux-linux.de> 1.2.0-6
- rebuilt against boost 1.36.0
* Sun Oct 05 2008 Karsten Brockmann <arcam@ccux-linux.de> 1.2.0-5
- rc4
* Mon Sep 29 2008 Karsten Brockmann <arcam@ccux-linux.de> 1.2.0-4
- rc2
* Wed Sep 17 2008 Karsten Brockmann <arcam@ccux-linux.de> 1.2.0-3
- beta7
* Sun Sep 14 2008 Karsten Brockmann <arcam@ccux-linux.de> 1.2.0-2
- beta6
* Sun Sep 07 2008 Karsten Brockmann <arcam@ccux-linux.de> 1.2.0-1
- version update
- beta5
* Sun Sep 07 2008 Karsten Brockmann <arcam@ccux-linux.de> 1.1.3-1
- version update
* Sun Aug 17 2008 Karsten Brockmann <arcam@ccux-linux.de> 1.1.2-1
- version update
* Sat Aug 09 2008 Christian Wasem <wasem@ccux-linux.de> 1.1.1-1
- Version update
* Fri Apr 11 2008 Karsten Brockmann <arcam@ccux-linux.de> 1.0.0-11
- 1.0.0 final
* Sat Mar 08 2008 Karsten Brockmann <arcam@ccux-linux.de> 1.0.0-10
- rebuilt against ImageMagick 6.3.9.3
* Fri Jan 25 2008 Karsten Brockmann <arcam@ccux-linux.de> 1.0.0-9
- rebuilt against libstdc++ 1:4.1.2
* Sun Dec 30 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.0.0-8
- rc11
* Fri Nov 16 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.0.0-7
- rc10
* Fri Nov 16 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.0.0-6
- rc8
* Sun Nov 04 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.0.0-5
- rc7
* Sun Oct 21 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.0.0-4
- rc6
* Thu Oct 18 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.0.0-3
- rc5
* Sun Oct 07 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.0.0-2
- rc4
* Sun Sep 30 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.0.0-1
- Version update
- rc3
* Mon Aug 13 2007 Karsten Brockmann <arcam@ccux-linux.de> 0.9.3-2
- rebuilt against boost 1.34.1
* Wed May 09 2007 Karsten Brockmann <arcam@ccux-linux.de> 0.9.3-1
- Version update
* Sun Apr 29 2007 Karsten Brockmann <arcam@ccux-linux.de> 0.9.2-1
- Initial Release
